package com.zjrs.zwnw.portal.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.portal.blo.InformationBLO;
import com.zjrs.zwnw.portal.bpo.InformationBPO;
import com.zjrs.zwnw.portal.dto.ChangeInformationDTO;
import com.zjrs.zwnw.portal.dto.DelInformationDTO;
import com.zjrs.zwnw.portal.dto.GetInformationDTO;
import com.zjrs.zwnw.portal.dto.SendInformationDTO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;

@Service
public class InformationBPOimpl extends BPOImpl implements InformationBPO {

    @Resource
    private InformationBLO informationBLO;

    @Override
    public PageResult queryinformationList(GetInformationDTO dto, int page, int rows, String userid) {
        return informationBLO.queryinformationList(dto, page, rows, userid);
    }

    @Override
    public void changeInfo(ChangeInformationDTO dto) {
        informationBLO.changeInfo(dto);
    }

    @Override
    public void delInfo(DelInformationDTO dto) {
        informationBLO.delInfo(dto);
    }

    @Override
    public void clearInfo(String userid) {
        informationBLO.clearInfo(userid);
    }

    @Override
    public void sendInfo(SendInformationDTO dto) {
        informationBLO.sendInfo(dto);
    }
}
